"use strict";

var _chai = require("chai");

var _stimuli = require("../stimuli");

var _constants = require("@instructure/quiz-common/lib/constants");

describe('stimuli actions creators', function () {
  it('returns a addStimuli action', function () {
    var stimuli = [{
      id: 1,
      title: 'quiz stimulus 1'
    }, {
      id: 2,
      title: 'quiz stimulus 2'
    }];
    var addStimulusAction = (0, _stimuli.addStimuli)(stimuli);
    var expectedAction = {
      type: _constants.ADD_STIMULI,
      payload: stimuli
    };
    (0, _chai.expect)(addStimulusAction).to.deep.equal(expectedAction);
  });
});